Bug 84734 - mc doesn't like my german locale
Summary: mc doesn't like my german locale
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mc
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Jay Turner
URL:
Whiteboard: triage|leonardjo|closed|currentrelease
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-20 22:39 UTC by Bernd Bartmann
Modified: 2015-01-08 00:03 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-26 16:39:52 UTC


Attachments (Terms of Use)
Midnight Commander in X with misaligned character in middle of screen. (26.30 KB, image/png)
2003-02-24 22:22 UTC, Peter van Egdom
no flags Details

Description Bernd Bartmann 2003-02-20 22:39:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
I did a fresh install of Phoebe3 and selected german as default language. This
gives me a /etc/sysconfig/i18n like this:

LANG="de_DE.UTF-8"
SUPPORTED="en_US.UTF-8:en_US:en:de_DE.UTF-8:de_DE:de"
SYSFONT="latarcyrheb-sun16"

Starting mc on the console is a total disaster. I get no frame around the two
directory panes. It is a little bit better in gnome-terminal although there are
still lots of problems with german umlauts.

I reported this misbehaviour for Red Hat 8.0 beta and final and for Phoebe1 and
Phoebe2. As it stands now the problems are even more worse in Phoebe3.

If mc is not able to handle UTF-8 correctly I propose to not enable unicode
support for the german locale at all by default during system installation.

 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Phoebe3 with german as default locale
2. start mc on the console
3.
    

Additional info:

Comment 1 Bernd Bartmann 2003-02-20 23:21:23 UTC
Just an additional note - setting LANG=de_DE@euro in /etc/sysconfig/i18n fixes
all my mc problems. So I think that this should be the default LANG for the
german locale.

Comment 2 Havoc Pennington 2003-02-20 23:28:11 UTC
the default locale isn't chosen based purely on mc ;-)

I believe we're working on an mc fix.

Comment 3 Peter van Egdom 2003-02-24 22:21:06 UTC
Same problem here. Here's my i18n setting :

LANG="nl_NL.UTF-8"
SUPPORTED="nl_NL.UTF-8:nl_NL:nl:en_US.UTF-8:en_US:en"
SYSFONT="latarcyrheb-sun16"

On virtual consoles Midnight Commander is a mess. Only starting Midnight
Commander with "mc -a" cures this. In X, Midnight Commander shows some
corruption in the form of a misaligned character. I'll attach a screenshot.

I'm using :
mc-4.6.0-1
Red Hat Linux release 8.0.94 (Phoebe)


Comment 4 Peter van Egdom 2003-02-24 22:22:07 UTC
Created attachment 90327 [details]
Midnight Commander in X with misaligned character in middle of screen.

Comment 5 Bernd Bartmann 2003-04-04 07:53:16 UTC
Looks much better now in Red Hat 9.

Comment 6 Leonard den Ottolander 2004-10-26 16:39:52 UTC
There have also been extensive improvements to UTF-8ization of mc.
Closing this bug CURRENTRELEASE as the reporter seems to indicate that
his problems have been fixed on RHL 9.



Note You need to log in before you can comment on or make changes to this bug.